com.verisign.epp.codec.registry

## Class EPPRegistryMaxSig

- java.lang.Object
- - com.verisign.epp.codec.registry.EPPRegistryMaxSig

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPRegistryMaxSig
      extends java.lang.Object
      implements EPPCodecComponent

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_CLIENT_DEFINED`
    `static java.lang.String` | `ELM_DEFAULT`
    `static java.lang.String` | `ELM_MAX`
    `static java.lang.String` | `ELM_MIN`
    `static java.lang.String` | `ELM_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryMaxSig()`
    `EPPRegistryMaxSig(java.lang.Boolean clientDefined, java.lang.Integer defaultLife, java.lang.Integer min, java.lang.Integer max)`
    `EPPRegistryMaxSig(boolean clientDefined, int defaultLife, int min, int max)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` clone an `EPPCodecComponent`.
    `void` | `decode(org.w3c.dom.Element aElement)` decode a DOM element tree to initialize the instance attributes.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` encode instance into a DOM element tree.
    `boolean` | `equals(java.lang.Object aObject)`
    `java.lang.Boolean` | `getClientDefined()`
    `java.lang.Integer` | `getDefaultLife()`
    `java.lang.Integer` | `getMax()`
    `java.lang.Integer` | `getMin()`
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `void` | `setClientDefined(java.lang.Boolean clientDefined)`
    `void` | `setDefaultLife(java.lang.Integer defaultLife)`
    `void` | `setMax(java.lang.Integer max)`
    `void` | `setMin(java.lang.Integer min)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      See Also:
        Constant Field Values

    - #### ELM_CLIENT_DEFINED

          public static final java.lang.String ELM_CLIENT_DEFINED

      See Also:
        Constant Field Values

    - #### ELM_DEFAULT

          public static final java.lang.String ELM_DEFAULT

      See Also:
        Constant Field Values

    - #### ELM_MIN

          public static final java.lang.String ELM_MIN

      See Also:
        Constant Field Values

    - #### ELM_MAX

          public static final java.lang.String ELM_MAX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryMaxSig

          public EPPRegistryMaxSig()

    - #### EPPRegistryMaxSig

          public EPPRegistryMaxSig(java.lang.Boolean clientDefined,
                                   java.lang.Integer defaultLife,
                                   java.lang.Integer min,
                                   java.lang.Integer max)

    - #### EPPRegistryMaxSig

          public EPPRegistryMaxSig(boolean clientDefined,
                                   int defaultLife,
                                   int min,
                                   int max)

  - ### Method Detail

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Description copied from interface: `EPPCodecComponent`
      encode instance into a DOM element tree. A DOM Document is passed as an argument and functions as a factory for DOM objects. The root element associated with the instance is created and each instance attribute is appended as a child node.
      For example, the <command> element of `EPPCommand` is created and is used to append the attribute nodes of `EPPCommand`.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM document used as a factory of DOM objects.
      Returns:
        instance root DOM element along with attribute child nodes.
      Throws:
        `EPPEncodeException` - Error encoding the DOM element tree.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Description copied from interface: `EPPCodecComponent`
      decode a DOM element tree to initialize the instance attributes. The `aElement` argument represents the root DOM element and is used to traverse the DOM nodes for instance attribute values.
      For example, the <command> element of `EPPCommand` is passed into `decode` of EPPCommand to be decoded and used to set the instance attributes.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - root DOM element associated with instance
      Throws:
        `EPPDecodeException` - Error decoding the DOM element tree.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Description copied from interface: `EPPCodecComponent`
      clone an `EPPCodecComponent`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of concrete `EPPCodecComponent`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getClientDefined

          public java.lang.Boolean getClientDefined()

    - #### setClientDefined

          public void setClientDefined(java.lang.Boolean clientDefined)

    - #### getDefaultLife

          public java.lang.Integer getDefaultLife()

    - #### setDefaultLife

          public void setDefaultLife(java.lang.Integer defaultLife)

    - #### getMin

          public java.lang.Integer getMin()

    - #### setMin

          public void setMin(java.lang.Integer min)

    - #### getMax

          public java.lang.Integer getMax()

    - #### setMax

          public void setMax(java.lang.Integer max)

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.